«

»

Mar 30 2008

Enemy Territory: QUAKE Wars v1.50b AVA Update Available

An AVA Update for Enemy Territory: Quake WARS v1.50b is now available for download. Support for v1.00, v1.10, v1.20, v1.40 and v1.50b. Requires Seismovision v3.02 or higher to be installed.

Be Sociable, Share!